package commands

type BaseCommand struct {
	Help HelpCommand `command:"help" description:"Print this help message"`

	PrepareBin PrepareBinCommand `command:"prepare" alias:"p" description:"Prepare a Binary file and attach the propietary header to it"`
	DecryptDBF DecryptDBFCommand `command:"decrypt-dbf" description:"decrypt dbf-data"`
	DecryptDES DecryptDESCommand `command:"decrypt-des" description:"decrypt des-data"`

	MparUnpack MparUnpackCommand `command:"mpar-unpack" description:"extracts the raw bin from an mpar file"`
	MparPack   MparPackCommand   `command:"mpar-pack" description:"creates an mpar file from the binary file and header info"`

	S19Tree        S19TreeCommand             `command:"s19-tree" description:"dump s19 tree"`
	S19IsolatePart S19IsolatePartitionCommand `command:"s19-isolate-part" description:"isolate a segment from an s19"`
}

var MotoCLI BaseCommand
